## mint-local-repository 1.0.7

=== dkms/template-dkms-mkdeb/Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
	chmod 644 -R "$(SRC)/$(NAME)-$(VERSION)"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== src/bcmwl-5.100.82.38+bdcom/Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright (C) 2010, Broadcom Corporation
# All Rights Reserved.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.6.54.1 2010/09/27 22:18:19 Exp $

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/shared/linux_osl.o
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o

EXTRA_CFLAGS       :=
EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy
#EXTRA_CFLAGS       += -DBCMDBG_ASSERT

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

all:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`

clean:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean

install:
	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko

=== debian/changelog ===
mint-local-repository (1.0.7) maya; urgency=low

  * Maya

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 May 2012 13:45:35 +0100

mint-local-repository (1.0.6) lisa; urgency=low

  * Lisa

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  23 Oct 2011 15:01:00 +0000

mint-local-repository (1.0.5) katya; urgency=low

  * Katya

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  3 May 2011 12:31:00 +0000

mint-local-repository (1.0.3) julia; urgency=low

  * Julia.

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  14 Oct 2010 11:12:00 +0000

mint-local-repository (1.0.2) isadora; urgency=low

  * Added Gnome-PPP

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  01 May 2010 12:07:00 +0000

mint-local-repository (1.0.1) isadora; urgency=low

  * Updated oem-config to 2.2.24-1mint1

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  30 Apr 2010 14:05:00 +0000

mint-local-repository (1.0) isadora; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  25 Apr 2010 18:54:00 +0000

=== debian/control ===
Source: mint-local-repository
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mint-local-repository
Architecture: any
Description: Local repository for Linux Mint
 This local repository contains packages which are not installed by default but which are present in the system from the start.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mint-local-repository.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/mint-local-repository
	rm -rf $(CURDIR)/debian/mint-local-repository/*
	mkdir -p $(CURDIR)/debian/mint-local-repository
	cp -r $(CURDIR)/$(DEB_HOST_ARCH)/usr $(CURDIR)/debian/mint-local-repository/
	cp -r $(CURDIR)/$(DEB_HOST_ARCH)/etc $(CURDIR)/debian/mint-local-repository/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
